Subject: [manet] How to identify RREP coming from Inter. node in AODV?

From: "mhelali" <[email-masked]>
Date: Fri, 15 Apr 2005 18:36:40 +0000

Hi all

Can any one tell me how to differentiate between a RREP issued by an intermediate node and a forwarded RREP for AODV protocol? I was not able to find this information in the RFC for AODV I know that a RREP issued by the destination node can be identified since the IPsource address in the IP header will be equal to the destination IP in the RREP header, but what about  the RREP coming from an intermediate node?
Thanx

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Asanga Udugama" <[email-masked]>
Date: Sun, 17 Apr 2005 12:59:13 +0200

Hello,

>From RFC 3561, section 6.7 (one before last paragraph) this is the way
that we understood (and this is how we have implemented also in JAdhoc &
UoBWinAODV),

Every intermediate node that receives the RREP will change the hop count
and resend the RREP to the next hop (not forward as in a normal router
operation). So you can determine the Source IP address form the IP
header.

Kind regards,
Asanga

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> mhelali
> Sent: Friday, April 15, 2005 8:37 PM
> To: ns mail list; manet
> Cc: cperkins
> Subject: [manet] How to identify RREP coming from Inter. node in AODV?
> 
> Hi all
> 
> Can any one tell me how to differentiate between a RREP issued by an
> intermediate node and a forwarded RREP for AODV protocol? I was not
able
> to find this information in the RFC for AODV I know that a RREP issued
by
> the destination node can be identified since the IPsource address in
the
> IP header will be equal to the destination IP in the RREP header, but
what
> about  the RREP coming from an intermediate node?
> Thanx
> 
> 
>